using HtmlAgilityPack;

namespace Beam.Abstractions;

public interface IComposableDataProvider : IComposableDataProvider<object> { }


public interface IComposableDataProvider<out T> : IDataProvider<T> {
    public T Get(HtmlNode node);
    public HtmlNode? Select(HtmlDocument doc);
    public HtmlNode? Select(HtmlNode node);
}